Update an isolated network
Authentication
X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret
Path parameters
id
ID of the isolated network to update
Request
This endpoint expects an object.
name
New name for the network.
description
New description for the network.
Response
The isolated network has been updated
id
Unique identifier for the network
name
Name of the network
description
Description of the network
cidr
CIDR of the network
gateway
Gateway IP address
status
Network status
Allowed values:
region
Region where the network is located
type
Network type
createdAt
Network creation date
aclType
Type of the ACL list
defaultEgressPolicy
How outbound traffic is treated when this network has no egress rules. allow means all outbound traffic is permitted and each egress rule blocks what it matches; deny means all outbound traffic is blocked and each egress rule permits what it matches. Fixed when the network is created and cannot be changed afterwards. Omitted when unknown.
Allowed values:
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error